<?php
  define('_IN_JOHNCMS', 1);
$headmod = 'war worlds';
$textl = 'Бой';
require_once ("../incfiles/core.php");
require_once ("../incfiles/head.php");

if (!$user_id) {
    header('Location: http://nadmad.ru');
    exit;
}
include_once("tmn.php");
$action=htmlspecialchars(trim($_GET['action']));

switch ($action){

default:
echo '<div class="phdr">Список бойцов</div>';

$cena=mysql_query("SELECT * FROM `uww` ORDER BY `exp`");
while($row=mysql_fetch_assoc($cena)){
$result=mysql_query("SELECT * FROM `users` WHERE `id` = '$row[uid]'");
$myrow = mysql_fetch_array($result);

if($row['clas'] == 1){
    $clas = 'Воин';
}

if($row['clas'] == 2){
    $clas = 'Лучник';
}

if($row['clas'] == 3){
    $clas = 'Маг';
}

echo'&raquo; <a href="?action=napad&amp;id='.$row['uid'].'">'.$myrow['name'].'</a> | Клас: '.$clas.'<br/>';

echo'Параметры:<br /> <font color="blue">Макс.Урон '.$row['maxu'].'<br/>Мин.Урон '.$row['minu'].'</font><br/>';
};

break;

case 'napad':

$pr=(int)$_GET['id'];
$plus=mysql_query("SELECT * FROM `uww` WHERE `uid`='$pr'");

if(!mysql_num_rows($plus)){echo 'Такого бойца не существует!';break;};
$rise=mysql_fetch_assoc($plus);

if($rise['clas'] == 1) {
    $img = 'warior';
} elseif($rise['clas'] == 2) {
    $img = 'bowman';
} else {
    $img = 'mag';
}

echo '<div clas="menu">Бой с юзером</div><br/>
      <img src="images/'.$img.'.jpg" alt=""/><br />';
      echo 'Жизни у противника: '.$rise['hp'].'<br/>';
      echo 'Защита у противника: '.$rise['brona'].'<br/>';
      echo 'Макс.Урон у противника: '.$rise['maxu'].'<br/>';
      echo 'Мин.Урон у противника: '.$rise['minu'].'<br/>';
      
      $boi=mysql_query("SELECT * FROM `boiww` WHERE `user2`='$rise[uid]' AND `user1` = '$user_id' AND `end` = '0'");
if($user['hp'] > 10) {
    if(!mysql_num_rows($boi)){echo '<a href="?action=start&amp;id='.$rise['uid'].'">Начать бой!</a><br/>';break;};
} else{ 
    echo 'Для начала боя у вас недостаточно здоровья! ';
}         
      if($rise['hp'] > 10 || $user['hp'] > 10){
      echo '<a href="?action=udar&amp;id='.$rise['id'].'">[Ударить]</a><br/>';
       echo '--------<br/>';
      echo '<a href="?action=end&amp;id='.$rise['uid'].'"><small>Завершить бой!</small></a><br/>';
} else {
    echo 'У Противника или у вас слишком мало жизни для начала боя!';
} 
break;

case 'udar':

$pr=(int)$_GET['id'];
$plus=mysql_query("SELECT * FROM `uww` WHERE `id`='$pr'");

if(!mysql_num_rows($plus)){echo 'Такого бойца не существует! ';}else{
$rise=mysql_fetch_assoc($plus);

$bablo = mysql_query("SELECT * FROM uww WHERE uid='$user_id'");

$myrow = mysql_fetch_array($bablo);

if($myrow['hp'] < 10){
echo 'У вас слишком мало жизни!<br/>';
echo '<a href="?action=end&amp;id='.$rise['uid'].'">Завершить бой!</a><br/>';break;}

if($rise['hp'] < 10){
echo 'У противника слишком мало жизни!<br/><a href="?action=end&amp;id='.$rise['uid'].'">Завершить бой!</a>';}
else{
    $uron1 = rand($myrow['minu'],$myrow['maxu']);
     $uron2 = rand($rise['minu'],$rise['maxu']);
     $udar = $uron1-$rise['brona'];
    $udar1 = $uron2-$myrow['brona'];
    
    if($udar < 0 ){
        $udar = 0;
    }
    if($udar1 < 0 ){
        $udar1 = 0;
    }
    
mysql_query("UPDATE `uww` SET `hp`=`hp`-'".$udar1."' WHERE `uid`='".$user_id."'");
mysql_query("UPDATE `uww` SET `hp`=`hp`-'".$udar."' WHERE `uid`='".$rise['uid']."'");
if($user['clas']==1){
if($udar > 15){
    $text = 'Хорошо розогнавшись, вы с бешеной силой вдаряете противника нанося ему '.$udar.' Урона! <br/>';
}

if($udar >= 5){
    $text = 'Вы собрали в себе всю злость и удрили противника на '.$udar.' Урона! <br/>';
}

if($udar < 5){
    $text = 'Вы пытались хорошенько влупить противника но недостаток практики боя и опыта не дали нанести сокрушительный удар, и вы нанесли протикнику '.$udar.' Урона! <br/>';
}

if($udar == 0){
    $text = 'Вы ударили противника в его толстую броню, и вам не удлось повредить противника, если так и дальше пойдет то вы проиграете <br/>';
}

if($udar == 1){
    $text = 'Вы ударили противника в его толстую броню, и пробили ее всего на 1 ед. урона...<br/>';
}


}

if($user['clas']==2){
if($udar > 15){
    $text = 'Хорошо прицелившись, вы с бешеной силой выстрела попадаете противнику прямо в голову нанося ему '.$udar.' Урона! <br/>';
}

if($udar >= 5){
    $text = 'Вы собрали в себе всю злость и выстрелили в противника попав в грудь пробив броню на '.$udar.' Урона! <br/>';
}

if($udar < 5){
    $text = 'Вы пытались хорошенько прицелиться в противника но недостаток практики боя и опыта не дали нанести сокрушительный удар, и вы нанесли протикнику '.$udar.' Урона! Попав в ногу <br/>';
}

if($udar == 0){
    $text = 'Вы попали противнику в его толстую броню, и вам не удалось повредить противника, если так и дальше пойдет то вы проиграете <br/>';
}

if($udar == 1){
    $text = 'Вы попали в броню противника, и пробили ее всего на 1 ед. урона...<br/>';
}


}

if($user['clas']==3){
if($udar > 15){
    $text = 'Хорошо наколдовавши вы выпускаете огненной шар в противника нанося '.$udar.'ед. Урона! <br/>';
}

if($udar >= 5){
    $text = 'Вы наколдовали несколько простых заклинаний и выпустили их в противника попав в грудь пробив броню на '.$udar.' Урона! <br/>';
}

if($udar < 5){
    $text = 'Вы пытались наколдовать ваше любимое заклинание но недостаток практики боя и опыта не дали нанести сокрушительный удар, и вы нанесли протикнику '.$udar.' Урона! Попав в ногу <br/>';
}

if($udar == 0){
    $text = 'Вы попали противнику в его толстую броню, и вам не удалось повредить противника, если так и дальше пойдет то вы проиграете <br/>';
}

if($udar == 1){
    $text = 'Вы попали в броню противника, и пробили ее всего на 1 ед. урона...<br/>';
}


}



echo ''.$text. ' <br /> А противник нанес вам '.$udar1.' Урона!<br />
Жизни у противника: '.$rise['hp'].'hp <br />

<a href="?action=udar&amp;id='.$pr.'">[Ударить]</a><br />
<a href="?action=napad&amp;id='.$pr.'">Назад к противнику!</a>';
if($rise['hp'] <= 10){
    echo 'Поздравляем! <font color="green">Вы выиграли!</font> | <a href="?action=win&amp;id='.$pr.'">Завершить бой!</a>';
}
if($myrow['hp'] <= 10){
    echo '<font color="red">Вы проиграли!</font></a>';
    
    
    $exp = rand(10,30);
    $exp1 = rand(1,10);
    $coins = rand(5,20);
    $coins1 = rand(5,10);
    
    mysql_query("UPDATE `uww` SET `exp` = `exp` + '$exp1' WHERE `uid` = '$user_id' LIMIT 1");
    mysql_query("UPDATE `uww` SET `exp` = `exp` + '$exp' WHERE `uid` = '$uzver[uid]' LIMIT 1");
    
    mysql_query("UPDATE `uww` SET `coins` = `coins` + '$coins' WHERE `uid` = '$user_id' LIMIT 1");
    mysql_query("UPDATE `uww` SET `coins` = `coins` + '$coins1' WHERE `uid` = '$uzver[uid]' LIMIT 1");
    
    mysql_query("UPDATE `boiww` SET `end` = '1' WHERE `user1` = '$user_id' AND `user2` = '$pr' LIMIT 1 ");
  
}
}}
break;

case 'start':
$pr=(int)$_GET['id'];
$plus=mysql_query("SELECT * FROM `uww` WHERE `uid`='$pr'");
$uzver = mysql_fetch_array($plus);
$estulunet=mysql_query("SELECT * FROM `boiww` WHERE `user1` = '$user_id' AND `user2` = '$uzver[uid]' AND `end` = '0'");
if(!$plus){
    echo 'Такого юзверя не существует!';
}elseif($uzver['hp'] < 10){
  echo 'У юзера слишком мало здоровья! Начать бой невозможно!';  
  }elseif(mysql_num_rows($estulunet) > 0){
  echo 'Бой уже начат! Вернитесь в бой! '; 
    }elseif($user['hp'] <= 10){
  echo 'Ошибка у вас слишком мало жизни! для начала боя нужно 11hp';   
  }elseif($user_id == $uzver['uid']){
  echo 'Не можна атаковать самого себя! Ты какой то неуровновешеный хомяк самоубийца :D';  
} else {
    mysql_query("INSERT INTO `boiww` (
`id` ,
`user1` ,
`user2` ,
`end`
)
VALUES (
NULL ,  '$user_id',  '$uzver[uid]',  '0'
);");
    echo 'Вы успешно начали бой! <a href="?action=napad&amp;id='.$pr.'">Перейти в бой!</a>';
}


break;

case 'end':
$pr=(int)$_GET['id'];
$plus=mysql_query("SELECT * FROM `uww` WHERE `uid`='$pr'");
$uzver = mysql_fetch_array($plus);
$estulunet=mysql_query("SELECT * FROM `boiww` WHERE `user1` = '$user_id' AND `user2` = '$uzver[uid]' AND `end` = '0'");
if(!$plus){
    echo 'Такого юзверя не существует!'; 
  }elseif(!mysql_num_rows($estulunet)){
  echo 'Такого боя не найдено! ';  
} else {
        
    if($uzver['hp'] <= $user['hp']){
    $exp = rand(10,30);
    $exp1 = rand(1,10);
    $coins = rand(5,20);
    $coins1 = rand(5,10);
    $win = 1;}
    else{
        $exp = rand(1,10);
        $exp1 = rand(10,30);
        $coins = rand(5,10);
        $coins1 = rand(5,20);
        $win = 2;
    }
    
    mysql_query("UPDATE `uww` SET `exp` = `exp` + '$exp' WHERE `uid` = '$user_id' LIMIT 1");
    mysql_query("UPDATE `uww` SET `exp` = `exp` + '$exp1' WHERE `uid` = '$uzver[uid]' LIMIT 1");
    
    mysql_query("UPDATE `uww` SET `coins` = `coins` + '$coins' WHERE `uid` = '$user_id' LIMIT 1");
    mysql_query("UPDATE `uww` SET `coins` = `coins` + '$coins1' WHERE `uid` = '$uzver[uid]' LIMIT 1");
    
    mysql_query("UPDATE `boiww` SET `end` = '1' WHERE `user1` = '$user_id' AND `user2` = '$uzver[uid]'");
    if($win == 1){
    
        echo 'Вы успешно завершили бой!<br />За подсчетами системы в этом бою вы <font color="green"><b>победили</b></font><br /> За бой вам начислено '.$exp.' Опыта и '.$coins.' монет а вашему противнику: '.$exp1.' Опыта и '.$coins1.' монет | <a href="index.php">Перейти в игру</a>';
    }else{
    
        echo 'Вы успешно завершили бой!<br />За подсчетами системы в этом бою вы <font color="red"><b>проиграли<b></font><br /> За бой вам начислено '.$exp.' Опыта и '.$coins.' монет а вашему противнику: '.$exp1.' Опыта и '.$coins1.' монет | <a href="index.php">Перейти в игру</a>';

    }
    }


break;




};
include_once("foot.php");
echo '<div class="menu"><a href="index.php">В игру</a></div>';
require_once ("../incfiles/end.php");
?>									